- Pojdmě nyní udělat pár příkladů zabývajících problémy s exponenciálním růstem a rozkladem. Takže první problém: předpokládejme, že radioaktivní látka se rozkládá v míře 3,5% za hodinu.
Ztratíme 3,5% což znamená, že máme 96,5 % z té předchozí hodiny.
Myslím si, že víte, kam to ve výsledku spěje. V první hodině máme 0,965 umocněno na prvou krát 100. V nulté hodině máme 0,965 na nultou.
A častokrát to uvidíte takto napsáno. Vaše počáteční množství se násobí společným podílem, 0,965 na n-tou mocninu. Tolik zbyde po n hodinách.
Zůstane nám 100 krát 0,965 na šestou mocninu. A můžeme použít kalkulačku, abychom zjistili, kolik to je. Použijeme naši spolehlivou kalkulačku.
Takže to je 80,75% naší původní látky. - Pojďme udělat další. Máme Nadiu, která vlastní síť restaurací s rychlým občerstvením, v roce 1999 provozovala 200 poboček.
Vynásobíte 1,08 krát dané číslo, krát 1,08 krát 200. Myslím si, že chápete celkovou podstatu. Když máme n let po roce 1999, bude to 1,08 -- napíšu to takto:
Odpověď na naši otázku bude 200 krát 1,08 na umocněno na osmou.
Chtěli jsme zjistit, kolik je 200 krát 1,08 na osmou.
Bude provozovat 370 restaurací a bude probíhat otevření několika dalších. Když to zaokrouhlíme dolů, bude mít 370 restaurací. Takže osmiprocentní růst se nemusí zdát jako něco velmi rychlého nebo vzrušujícího.
Jedna věc, o které toho ještě hodně uslyšíte a uvidíte je něco, co se nazývá vývojový diagram. Buď v počítačové vědě nebo když lidé mluví o nějakém typu algoritmu nebo procesu. Takže co jsem myslel, že bych udělal je, že pro každý program napíšu - napíšu jednoduchý vývojový diagram.
"číslo, které se rovná vstupu uživatele". Můžete být trochu zmatení z této terminologie, ale prostě se vám pokouším říci, co právě v tomto kroku dělám. Rovnoběžník nám říká, že je nějak propojený s uživatelem.
"produkt se rovná 1", produkte je roven 1. A potom se stane něco zajímavého. Dostáváme se k cyklu for.
Takže můžeme říci, že i se rovná dalšímu prvku. i se rovná dalšímu... i se rovná dalšímu prvku. Když jsou tady - dobře, tady to napíšu pro případ že by už v pořadí nebyla žádná další čísla - ale řekněme, že tady ještě jsou. "i se rovná dalšímu prvku."
A potom také definujeme - definujeme produkt, aby byl... Definujeme produkt, udělám to modře jako obvykle...
"Je v pořadí další prvek?" A v tom samém bodě tady už žádný další prvek v pořadí není. Takže tady nemůže být - v žádném bodě tady již nemůže být žádný prvek v pořadí.
"vypsat produkt" a jsme hotovi! A můžu napsat "konec" pro konec našeho programu a program přestane běžet. "konec"
Takže toto je jednoduchý vývojový diagram pro tento jednoduchý program. A doufám, že vám to pomůže uvědomit si fungování programu, pokud vám minulá dvě vida moc nepomohla, a také že vám to pomůže trochu porozumět, jak napsat vývojový diagram.
Máme tu tři různé příklady na sčítaní. Abyste se tomu dostali na kloub, tak po vás chci, abyste si zastavili video a zkusili si je sami vypočítat. Ale chci abyste při tom mysleli na to, co přenos doopravdy značí.
Co to vlastně znamená? Toto je 1 desítka plus 0 desítek plus 9 desítek, což je 10 desítek. 10 desítek je 100.
V tomto videu bych chtěl vyjasnit rozdíl mezi
"i"-terativním nebo bych spíše měl říct iterativním, vždycky to vyslovuju špatně Rozdíl mezi definicí iterativní funkce a definicí rekurzivní funkce. Uděláme to ve skutečnosti...
0, 1, 2 Takže 3 prvky začínající na 0, poslední prvek je 3 - 1, to jest 2 A tak každý průchod touto smyčkou znamená, že do "i" bude postupně přiřazen každý prvek tohoto seznamu.
A pak součin "product" krát "i+1", vlastně v tomto prvním průchodu smyčkou se součin objevil ještě než jsme vstoupili do smyčky a byl roven 1. Takže součin bude 1 a to je 1 krát... --udělám to jinou barvou... ...fialově -- 1 krát "i", což je 0.
Kde se na číselné ose nachází číslo 30? Takže, tady na číselné ose můžeme vidět, že na první pozici napravo od nuly není 1 ale 3. S každou čárkou, se kterou se posuneme doprava, tedy zvětšíme číslo o tři.
Chtějí, abychom vybarvili 20% ze čtverce níže. Než to uděláme, popřemýšlejmě o tom, co vlastně procento znamená. Jen to přepíšu.
Jen to rozložím. což je stejné jako 20 "ze sta" [latinsky: per centum]. A pokud znáte slovo století [ang. century], tak možná víte, že cent pochází z Latiny a znamená sto. To doslova znamená, že slovo cent můžete nahradit číslem 100.
Představivost je klíčovou složkou mojí práce.
Přednáším o globálním zdraví.
A vím, že nestačí poznat všechny údaje.
Musím získané údaje podat srozumitelným způsobem, který lidi zaujme.
Teď zkusím udělat něco, co jsem zatím nikdy nedělal: animovat údaje v reálném prostředí, s pomocí našeho technického štábu.
Takže, pojďme na to: zde je osa zdraví.
Očekávaná délka života od 25 do 75 let.
A tady dole máme osu bohatství:
Příjem na osobu:
400, 4000 a 40 000 dolarů.
Tady dole vidíme chudobu a bídu, a tady nahoře bohatství a zdraví.
Teď vám ukážu svět před 200 lety, v roce 1810.
Zde vidím všechny země:
Evropa je hnědá, Asie červená, Střední východ zelený, Afrika modrá a Amerika žlutá.
A velikost populace v zemi se promítá do velikosti zobrazené kuličky.
V roce 1810 tu byla velká tlačenice, že?
Všechny země byli chudé, předpokládaná délka života se pohybovala pod 40 lety a jen Anglie s Holandskem na tom byly o nic lépe, ne, ale ne moc.
Teď začíná naše animace.
Průmyslová revoluce zapříčinila, že se Evropa začala vzdalovat ostatním, zatím co kolonizované země Asie a Afriky, zůstávají na místě.
Západ se stává zdravější a zdravější. A tady vidíme menší propad z důvodů První světové války a epidemie Španělské chřipky.
Jaká katastrofa!
A teď přelétneme dvacátá a třicátá léta 20. století. A přes světovou krizi, západ se probíjí vpřed směrem k většímu bohatství a lepšímu zdraví.
Japonsko a některé jiné země se ho snaží následovat, zatímco většina zemí zůstává dole.
V tomto okamžiku, po tragédiích Druhé světové války, na chvilku zastavím a podíváme se na svět v roce 1948.
1948 byl velký rok: válka skončila,
Švédsko slavilo úspěchy na zimní olympiádě a já jsem přišel na svět.
Ale rozdíly mezi státy světa byl větší než kdykoliv předtím.
Spojené státy byly v čele, Japonsko dotahovalo, za nimi Brazílie,
Írán se stal trochu bohatším díky ropě, ale stále mí nízkou délku života.
A zde jsou asijští giganti:
Čína, Indie, Pakistán, Bangladéš, Indonésie, kteří jsou stále chudí a zaostalí, ale podívejme se co se stane!
Pojďme na to!
Za mého života získali kolonie samostatnost, a konečně se začali stávat zdravějšími, zdravějšími a ještě zdravějšími.
V sedmdesátých letech země Asie a Latinské Ameriky začali dohánět Západ: jejich ekonomiky začali rychle růst.
Část Afriky následuje, část uvízla v občanských válkách a nebo ji zasáhla epidemie HIV.
A zde můžeme vidět dnešní svět, prostřednictvím nejnovějších statistik. Většina lidí žije uprostřed.
Ale stále vidíme velké rozdíly mezi lídry a zbytkem světa a také velké rozdíly uvnitř jednotlivých zemí.
Kuličky nám ukazují statistický průměr země, ale já ho můžu rozdělit.
Seberu Čínu a rozdělím jí na provincie.
Tady je Šanghaj.
Ta je v současnosti tak zdravá a bohatá jako dnešní Itálie.
A tady je chudá provincie Guizhou, která je na tom stejně jako Pakistán a když pokračujeme dále dostáváme se k venkovským oblastem, které jsou na úrovni africké Ghany.
A teď, nehledě na velké rozdíly v dnešním světě, za posledních 200 let vidíme obrovský pokrok.
Hluboká historická propast mezi Západem a zbytkem světa se zmenšuje. Části našeho světa se sbližují a vidíme jasný trend budoucnosti, s mezinárodní pomocí, obchodem, ekologickými technologiemi a mírovými procesy dokážeme, že každý na světě se může dostat do tohoto rohu zdraví a bohatství.
To co jste právě viděli je příběh 200 zemí po dobu 200 let vytvořený díky 120 000 údajů.
Celkem pěkné ne?
Mám tyto tři hvězdičky. Budeme je tak nazývat. A mohl bych se zeptat, když mám jednu skupinu po třech hvězdičkách, kolik hvězdiček mám dohromady?
[Co je ve Firefoxu nového] S nejnovějším Firefoxem je jednodušší a rychlejší dostat se kamkoliv chcete. Na nové Domácí stránce můžete snadněji přistupovat k nejčastěji používaným nastavením.
Vaše geny samozřejmě pochází od vašich rodičů. A od jejich rodičů. A od rodičů jejich rodičů.
Nicméně chromozomy X a Y jsou speciální. Obvykle mají samičky dva chromozomy X, zatímco samečci mají jeden X a jeden Y. Máte jeden z vašich chromozomů X od vaší matky.
Většina dospělých buněk obsahuje dvě sady chromozomů, ale spermie a vajíčko mají každý pouze jednu sadu 23 chromozomů. Když se tvoří spermie a vajíčka, buňka se dělí a páry chromozomů se rozcházejí. Náhodný chromozom z každého páru se přestěhuje do nové buňky.
Tato jediná buňka se začne dělit, aby vytvářela nové buňky a dělí se znovu a znovu, až vytvoří dítě.
Pojďme zjistit, kolik je 3 krát 60. Je několik možností, jak o tom přemýšlet. Můžeme chápat jako 60 třikrát, což je 60 plus 60 plus 60.
V tomto videu bych chtěl oprášit představu, kterou jste asi považovali za samozřejmou od svých 3 nebo 4 let, ale snad to uvidíte v novém světle. Pokmůže nám to při přemýšlení o jiných číselných soustavách. V naší číselné soustavě máme 10 čísel.
Takže to co uděláme je, že zavedeme číselné pozice. Řekli jsme, že mám jednu desítku a nula jedniček. Řekneme, že mám jednu desítku a nula jedniček.
"Hej, mám nulu, tak požiju znak 0." Když mám jednu věc, stále můžu říct
"hej, mám jednu věc"... protože máme nulu a jedničku. Ukážu to takhle. Číslice ve dvojkové soustavě, můžou být 0 a 1.
Chcete-li převést toto číslo na základ 10, řekli byste: "tohle je jedna 4, nula dvojek a jedna 1" Pokud tedy máte 4 a 1, v desítkové soustavě to zapíšeme jako 5. Takový symbol ve dvojkové soustavě není.
Pojďme zkusit odečíst 659 od 971. Jakmile začnete, narazíte na problém. Podíváte se na jednotky:
Tisíce lidí z open source komunity pracovaly přes 3 roky aby vám mohly představit Drupal 7
V posledním videu jsme si vyzkoušeli sčítání toho, čemu můžeme říct malá čísla. Například, když sčítáme tři plus dva, (3+2), můžeme si třeba představit... ... že máme tři citróny - jedna, dvě, tři. A když budeme chtít přidat (přičíst) ke třem citrónům dvě limety...jsou to limety, nebo limetky?
- jedna desetikoruna a dvě koruny. plus deset -plus jedna desetikoruna. Takže dáme tu jednu desetikorunu na místo desítek. Právě jsme přišli na to, že sedm plus pět, je jedna desítka a dvě jednotky.
Naučme se násobit. N Á S O B E N Í. A nejlepší způsob je dát si pár příkladů, a pak o nich mluvit, a snažit se přijít na to, co znamenají.
A ty řekneš, 1, 2, 3, 4, 5. Nebo bych mohl mít číselnou osu, a ty pravděpodobně nepotřebuješ toto opakování, ale to nikdy neublíží. Nikdy neublíží, utužit základy.
1, 2, 3. Skončil jsem na 5. Takže už víš, že 2+3=5.
V tomto případě mi 2 říká, kolikrát vedle sebe postavím 3 a sečtu. Ale je zajímavé, že kteroukoli cestou to počítám 2x3, můžu jako 2+2+2, nebo 3+3, Ať tak, či tak, dostanu stejnou odpověď.
3+3=6. 6+3=9. 9+3=12.
&gt;&gt; Sergey Brin: Hej, Vicu, mám pro tebe skvělou událost. &gt;&gt; Vic Gundotra:
Sergey!
[Jásot a potlesk]
&gt;&gt; Sergey Brin: Jak se máš? &gt;&gt; Vic Gundotra: Lidi, my - chystáme se - chystáme tu se provést něco kouzelného.
A máme pro vás zvláštní překvapení. &gt;&gt; Sergey Brin: Je to trochu časově citlivé. takže se omlouvám za přerušení.
Takže mi teď povězte, kdo chce vidět ukázku Glass?
[Jásot a potlesk]
SEN. Nevím, co je vaším snem. A nezajímá mě, jaké zklamání jste po cestě za jeho splněním zažili.
Někteří z vás už vědí, že je to obtížné. Není to jednoduché. Je těžké změnit svůj život.
Jeden z YouTube diváků mě požádal o tento příklad Vypadalo to na pěkný příklad.
Nyní si spočítáme další příklady na sčítání. Řekněme, že mám 9 367 plus 2 459. Můžeme to udělat stejně jako v posledních videích.
Obvykle vyučuji na přednáškách o tom, jak znovu obnovit státy po válce. Ale dnes se s vámi podělím o osobní příběh. Toto je fotka mé rodiny, mých čtyř sourozenců, mámy a mě, z roku 1977.
Vítejte v našem kurzu programování na Khanově škole. Jste v programování úplně noví? Nemusíte se bát.
Jsem zvyklý považovat obecenstvo na TEDu za vynikající skupinu jedněch z nejvíce efektivních, inteligentních, intelektuálních, důvtipných, výřečných a inovativních lidí na světě. A myslím si, že to tak je. Nicméně, mám také důvod věřit, že mnoho, snad i většina, z vás si zavazujete boty nesprávně.
"Ty boty mám rád, ale nesnáším tkaničky." On se podíval a řekl: "Aha, vy je špatmě zavazujete."
V tomto videu chci dělat jen jedno a to vypočítat spoustu příkladů na sčítání, abychom získali nějaký cvik a dostali se do toho. A co ještě chci ukázat je, že nyní máme všechny znalosti, které jsou třeba abychom vyřešili jakékoliv příklady na sčítání. Pojďme se trochu zahřát sčítáním jednociferných čísel, z kterých mě vždy začne trochu bolet hlava.
Twitter Změní všechno! Je to místo, kam se chodíš smát, kam se chodíš vybrečet, kde získáváš zkušenosti a sdílíš.
Twitter tady stále bude, když se vrátíš. Ale vážně, zavolej mámě. Toto bylo oznámení veřejné služby od Twitter Inc.
Vítejte ve videu o jednoduchém sčítání. Vím, co si myslíte: "Sčítání mi nepřijde moc jednoduché."
1, 2, 3. A řekněme, že byste mi dali 4 další avokáda. Nakreslím tyto 4 avokáda žlutě, abyste věděli, že to jsou ty, co jste mi dali.
A teď tam napíšeme 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11 ... Máme příklad 3 plus 4. Začneme na 3.
Abychom viděli rozdíl mezi peněžním účetnictvím a účetnictvím založeném na akruální bázi, ukážu vám na tomto malém příkladu, kde nejdříve zaúčtuji vše za pomoci peněžní části účetnictví a poté pomocí akruální části účetnictví. A pro představu tedy peněžní část nastává kdykoliv dostanete peníze od zákazníka, zaúčtovali byste to jako příjem a kdykoliv musíte peníze utratit zaúčtovali byste to jako náklad nebo výdaj. Uvidíte, že tohle dělá většina malých firem zatímco o něco pokrokovější firmy by použily účetnictví na akruální bázi, neboť to svým způsobem spojuje dohromady vaše aktuální náklady a vaše výnosy v každém období trochu lépe.
Kail pořádá piknik pro jejích šest kamarádů Nejstarší kamarád, Vikraim má 10 let. Nejmladší, Diya má 6 let
Vaše tělo je tvořeno 50 triliony buněk, kterých je velké množství variant s velkým množstvím funkcí. Ale uvnitř skoro každé buňky je jádro, které obsahuje 99,9 % vašich genů a mitochondrie, které také obsahují nějaké geny. Když to shrneme, máte skoro 20 000 genů,
DNA je dvouvláknová molekula složená z cukru, fosfátu a čtyř různých bází, adeninu, thyminu, cytosinu a guaninu.
Počet a pořádí těchto čtyř bazí například určuje, zda jste šimpanz, kráva, banán nebo člověk. Většina genů jsou vlastně " návody " pro vytváření specifických bílkovin. Tyto " návody " se dědí z rodičů na děti, z generace na generaci.
Rozdílné druhy organismů mají rozdílný počet chromozomů.
Lidé mají obvykle 46 chromozomů, dvě sady po 23, nebo jednoduše, 23 párů chromozomů. Šimpanzi mají dvě sady po 24 nebo 24 párů chromozomů. Makakové mají 21 párů chromozomů.
93% naší DNA sdílíme s makaky a 98,5% s našimi přáteli šimpanzi. A co s ostatními lidmi?
99,5%! Takže co nás vlastně odlišuje od ostatních?
Je to jedna věc - SNiPy (jednonukleotidové polymorfismy).
Sečtěme 536 a 398, a to dvěma různými způsoby, abychom to opravdu pochopili. Nejprve tím obvyklejším způsobem. Začneme v řádu jednotek.
1 plus 3 plus 9 se je 13. Teď si uvědomíme, že máme 13 desítek. Jinak řečeno, 3 desítky a 1 stovku.
Máme 2 skupiny a v každé z nich čtyři trojúhelníčky. Takže toto je jedna čtveřice. Tady je druhá čtveřice.
Máme za úkol znázornit tyto hodnoty na číselné ose. A vidíte, že každé z čísel má kolem sebe znak absolutní hodnoty. Nejdřív si trošku zopakujeme, co absolutní hodnota vůbec je.
A teď - pokud začnu u čísla - .. nechte mě nejdřív napsat všechna čísla.. 0, 1, 2, 3, 4, 5, 6, 7.
Tak.. představte si teď, že jsme na této číselné ose. Začneme na čísle 4. Toto je číslo 4.
Možná ty citrony jím, nebo spíš je dávám vám jako odměnu za to, že jste se dívali na tohle video. takže - abych odebral 3 od 4, tj. tenhle jde pryč, tenhle jde pryč a tenhle jde pryč..
Pokud ztratím ty 3 - zbyde mi jen jeden. Tak, teď bych vám chtěl ukázat něco zajímavého co se týká odčítání. Teď víme, že 4 minus 3 se rovná 1.
4 minus 3 se rovná 1 a 4 minus 1 se rovná 3. Možná si řeknete - "no jo, nevybral jsem ta čísla tak, aby to vyšlo"? No, popravdě - ukazuje se, že je to vždycky pravda.
Tady je náš zábavný přítel Philip na kole během krásného dne.
Phillip miluje Twitter. Ohhh, ale má problém!
Phillip zapomněl nahrát profilovou fotku, takže když si lidé prohlíží jeho účet na Twitteru tak vidí jen obrázek malého vajíčka. Editace profilu je velmi snadná. Na záložce ME stačí jen kliknou na "Edit Profile"/"editovat profil"
Mám tu několik skupin těchto věcí, které vypadají jako koule. Zamysleme se, kolik koulí je v každé skupině.
1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12.
Měli bychom tedy... 1 skupinu po čtyřech, 2 skupiny po čtyřech, 3 skupiny po čtyřech. Tentokrát se díváme na 12 koulí jako na 3 skupiny koulí po čtyřech. Mohli bychom taky říci, že...
1 skupina po dvanácti.
Takže můžeme doslova říct, že 1 krát 12, 1 krát 12 se rovná 12. Máme 1 skupinu po dvanácti, 1 krát 12 se rovná 12. Můžeme se na to dívat ale ještě jinak.
Chtěl bych vás vzít do jiného světa. A chtěl bych se s vámi podělit o 45-letý příběh lásky k chudým, kteří žíjí za méně než jeden dolar denně. Dostalo se mi velmi elitního, snobského, a drahého vzdělání v Indii, a téměř mně to zničilo.
"Chtěl bych žít a pracovat na vesnici." Matka padla do mdlob. (Smích)
"Co to má znamenat? Leží před tebou celý svět, leží před tebou skvělá kariéra, a ty chceš jít a pracovat na vesnici? Je s tebou něco?"
"Co chceš dělat na vesnici? Není tam práce, peníze, ani bezpečí, žádná perspektiva." Řekl jsem, "Chci žít a pět let kopat studny."
"Pět let kopat studny? Chodil jsi do těch nejdražších škol a univerzit v Indii, a chceš pět let kopat studny?" Dlouho se mnou nemluvila, protože podle ní jsem zklamal rodinu.
"Propadl jsi u zkoušky?" Řekl jsem, "Ne."
"Nedostal jsi práci ve státní správě?" Řekl jsem, "Ne."
"Co tu děláš? Proč tu jsi? Vzdělávací systém v Indii ti umožňuje ohlížet se po Paříži, Novém Dillí a Zurichu; co děláš v téhle vesnici?
"Postav tohle, postav tamto, tady dej toto a bude to fungovat." Takhle to vypadá dnes. Šli jsem na střechu, a všechny ty ženy řekly, "Zmizte.
Tohle je Jokhim Chacha, je mu 300 let. Je to můj psycholog. Můj učitel.
"Jaký jste měla užitek ze sluneční energie?" A ona se na chvíli zamyslela a řekla,
"Je to poprvé, co v zimě vidím tvář svého muže." (Smích) Jeli jsme do Afghánistánu.
"Babičky?" Ministr tomu nemohl uvěřit.
"Kam jely?" "Jely do Indie a zpátky." Ministr šel rovnou k prezidentovi. Řekl, "Víte, že v Sierra Leone je solárně elektrifikovaná vesnice?"
"Vyprávějte nám ten příběh." Nakonec předvolal mě a řekl, "Můžete mi vyškolit 150 babiček?" Říkám, "Já nemůžu, pane prezidente.
"S jejím manželem bude potíž; to nejde." Zavolali manžela, manžel přišel, vykračuje si, politik, mobil v ruce. "V žádném případě."
"Proč ne?" "Podívejte se na tu ženu, jak je krásná." Já řekl, "To jo, je velmi krásná."
"Co se stane, když uteče s nějakým Indem?" Toho se bál nejvíc. Řekl jsem, "Bude v pohodě.
"Nejprve vás ignorují, pak se vám smějí, pak s vámi bojují, a pak vyhrajete." Děkuji. (Potlesk)
Videa, která jsem vytvořil použitím těchto příkladů v Pythonu využil jsem Python 2, což je standardní verze Pythonu která je v době vytváření tohoto videa použitá na většinu implementací Ale je zde také Python 3, což je nejmodernější verze Pythonu nebo chcete-li nejnovější verze Pythonu. Ale nejsou zpětně kompatibilní
Python 3 má rozdílnou verzi... ...funkce input zde. V Pythonu 2, pokud použijete funkci input jako já Vložím sem zprávu pro uživatele, co má zadat a když uživatel něco zadá vrátí se to programu zcela vyhodnocené
Řetězec je "řetězec znaků". Takže - možná - je rozdíl pokud - uživatel vloží sem, toto jde od uživatele, pokud uživatel vloží v Pythonu 2 - 2 × 6 pak hodnota uložená v proměnné "number" bude 2 × 6, takže to bude 12, bude to vlastně vyhodnoceno. V Pythonu 3, pokud jsme udělali toto a uživatel vložil 2 × 6 takže znova uživatel vložil 2× 6 pak co je uloženo v proměnné "number" co se vrátilo z této funkce zde, nebude vyhodnoceno jako 2 × 6.
Napište následující čísla jako komplexní čísla. A jako opakování si připomeneme, že komplexní číslo je číslo, které má reálnou část nebo imaginární část. Radši to ujasním -- které má reálnou část a imaginární část.
V tomto videu vám chci ukázat, jak funguje trh s měnami. Pro mnoho lidí je to neuchopitelné, protože budeme mluvit o měnách stávajících se levnějšími či dražšími neboli o zvyšující se či snižující se ceně měny vyjádřené v jiné měně. A to vám chci pomoci intuitivně pochopit.
Jüan je jednotka renminbi. Řekněme - kdybych se podíval na nějaký web, tohle tedy není skutečný směnný kurz - ale řekněme, že právě teď je směnný kurz 10 jüanů za americký dolar. 10 jüanů je rovno 1 americkému dolaru.
"Hele, tady máme 1 000 jüanů, 10 jüanů za dolar, vydělíme, při tomhle kurzu by to mělo by to být 100 dolarů." A teď řekněme, že tu máme další hráče. A samozřejmě, trh spojuje mnohem, mnohem více lidí než tři. ale tohle nám pomůže zjednodušit a pochopit, jak budou směnné kurzy fungovat.
"Hele, víš ty co, já, ta má stodolarovka, měl bych ji být schopen směnit za 1 000 jüanů." Ale ona si taky řekne: "Tuhle stodolarovku vyměním za tisíc jüanů."
"Wow, to šlo rychle, někdo to opravdu chtěl vzít při kurzu 10 jüanů za dolar." A tenhle chlápek si řekne: "Ale ne, nemůžu za svoje peníze nakoupit jüany a potřebuju to!"
"Někdo mě předběhl!" A tenhle pán si říká něco jako: "Hele, možná by mi lidi dali víc dolarů za moje jüany."
9 jüanů. Takže máme nový kurz - transakce proběhla při 9 jüanech za dolar. A teď, co se stalo?
"Tohle bude směnný kurz!" - jak to bude s fixovaným kurzem prozkoumáme později, protože nikdo neříká, že tu nikdy takový zákon nebude. Ale když bude větší poptávka po jüanech než po dolarech - jak vidíme v tomto příkladu - cena dolaru klesá. Cena dolaru bude klesat.
Cena jüanu bude stoupat.- tohle chci, abyste si zapamatovali - cena jüanu vyjádřená v dolarech bude stoupat. A cena dolaru vyjádřená v jüanech bude klesat. Tohle je princip měnové směny.
Jak tweetovat Pole pro tweet se po kliknutí zvětší. Nebo můžeš tweetovat z tlačítka tweet na navigační liště.
Někdo také hned začne psát sybmol "@" a jejich uživatelské jméno. "úžasná show! Tade je fotka:"
Tvoje časová osa se aktualizuje a tvůj tweet bude nahoře.
Řekněme, že máme rovnici sedm krát x se rovná čtrnáct. Ještě předtím, než zkusíme vyřešit tuto rovnici, přemýšlejme trochu o tom, co to vlastně znamená. Sedm x se rovná čtrnáct.
Linie vašich přímých předků navazuje na společnou historii lidských předků.
My a náš vzdálený příbuzný - šimpanz - máme společného předka, který žil před asi 6,5 miliony let. O tomto společném předkovi se dozvídáme sledováním, co máme se šimpanzy společného. Od šimpanzů se ale také v mnohém lišíme, například velkým mozkem, který umožňuje abstraktní uvažování a vývoj komplexních jazyků, nebo naše stavba těla uzpůsobená pro vzpřímenou chůzi.
Khan Academy známe jako sbírku videí a než se pustím dál, ukážu Vám krátký sestřih. (Mluví Salman Khan): Tak, přepona teď bude 5.
Salman Khan: Dnes máme k dispozici 2,200 videí zahrnující vše od základní aritmetiky až po vektorový integrální počet a něco z toho, co jste viděli. Náš web využívá měsíčně milion studentů, pustí si řádově 100 až 200 000 videí za den.
A jakmile jsem to překousl, uvědomil jsem si že je to vlastně něco zásadního. Říkali, že upřednostňují automatizovanou verzi jejich bratrance před svým bratrancem. Zprvu se to nezdá, ale když se zamyslíte, z jejich pohledu to má smysl.
Dostáváme spoustu podobných reakcí Zcela jasně to lidem pomáhá. Ale pak, jak sledovanost neustále rostla, jsem začal dostávat dopisy od lidí, a začalo být jasné že to vlastně bylo víc než "hezké je tam mít".
"Můj 12-letý syn má autismus a moc se trápil s matematikou. Zkoušeli jsme všechno, viděli jsme všechno, koupili jsme všechno. Pak jsme narazili jsme na vaše video o desetinných místech a on to pochopil.
Ale byl jsem nadšený a tak jsem v tom pokračoval. A pak začaly docházet další věci. Nejen, že to pomůže mým bratrancům nebo lidem co posílají dopisy, ale, že tento obsah nebude stárnout že by mohl pomoci jejich dětem nebo vnoučatům.
"Používáme vaše videa, převracíme způsob výuky. Vy přednášíte a my teď ... " a tohle všechno může být zítra v každé americké třídě,
"... co děláme je že zadáme lekce jako domácí úkol. A co kdysi bývaly úkoly, teď dělají studenti ve třídě." A tady udělám pauzu -
Chci se na chviličku zastavit, protože je tu pár zajímavých věcí. Za prvé, když to tak učitelé dělají, je tam zřejmá výhoda - výhoda, že teď mohou jejich studenti využívat videa stejným způsobem, jako moji bratranci. Mohou zastavovat, opakovat, učit se svým vlastním tempem, v čase, který si vyberou.
10 správně v řadě, a pokračujete dál. A to je zásadně jiné než, co se teď děje v učebnách. V běžné škole máte pár domácích úkolů, domácí úkoly, přednášky, úkoly, přednášky, a pak následuje rychlé zkoušení nebo test.
Dále budete pokračovat algebrou I, algebrou II, a přípravou na diferenciální počet A naše představa je, že takto skutečně můžeme učit všechno -- No, všechno, co může být vyučováno v rámci tohoto modelu.
Pohybuji se ve velmi data-centrické realitě, tak ani nechceme, aby učitel šel a vložil se do toho a ptal se toho žáčka na nepříjemné otázky: "A čemu vlastně nerozumíš?" nebo "Rozumíš vůbec něčemu?" a podobně. Naše paradigma je tedy opravdu vyzbrojit učitele co nejvíce údaji - opravdu data, která v téměř každé jiné oblasti jsou očekávána,
Bill Gates: viděl jsem některé věci, které děláte v systému, mají hodně společného s motivací a zpětnou vazbou - energetické body, odznaky. Řekněte mi, co tím myslíte. Sal Khan:
SK: Los Altos, bylo to trochu bláznivé. Ještě jednou, nečekal jsem , že využití ve třídách
"Co byste udělal kdybyste měl volnou ruku ve třídě?" A já řekl, "No, já bych nechal každého studenta pracovat svým vlastním tempem na něčem, jako je tohle a udělali bychom přehledové tabulky výsledků." A oni řekli:
A já a můj tým jsme si mysleli, že to nikdy nebudou chtít dělat. Ale hned druhý den přišli a řekli: "Můžete začít za 2 týdny?"
BG: Takže teď probíhá matematika pro 5. třídu? SK:
Tak nejprve bych chtěl Elonovi poděkovat za to, že přišel - hladový.
(smích) ELON: Vždycky se něco děje.
"Hele, musíte nám poslat nějaký ty kabely alespoň letecky- pošlete nám nějaký kabely." Spojili jsme s jejich americkou pobočkou, a objednali je od té pobočky, která se potom spojila s dodavatelem v Číně. Jenže to už byla další sada součástek - a tím pádem se jedalo o dvojitou objednávku, než je obvyklé a tak byl překročen náš kreditní limit.
Ale tyhle věci se jako dějí pořád? nebo je to jen neobvyklá situace? ELON: Je to jen jeden z příkladů, ale je tam dost takovýhle věcí.
Celá sada 23 lidských chromozomů, která se nazývá genom. Lidský genom se skládá ze 3 miliard párů bází.
Záměna v jednom páru se jmenuje SNP, nebo jednonukleotidový polymorfismus.
Když tělo vytváří nové buňky, nedělá moc chyb, ale nikdo není dokonalý. Někdy, když se genom přepisuje, aby vytvořil novou buňku, je jeden pár bází ztracen, přidán nebo nahrazen. Záměna v jedné bázi vytvoří SNP.
V lidském genomu je okolo 10 milionů SNP, které představují mnoho genetických rozdílů mezi vámi a kýmkoliv jiným na této planetě.
Některé SNP vytváří rozdíly ve vzhledu, jiné mohou ovlivnit, jak se u nás budou rozvíjet různá onemocnění nebo jak budeme reagovat na drogy.
Nicméně u nejvíce SNP se zdá, že nevedou k žádným pozorovatelným rozdílům mezi lidmi. Jelikož se tyto odlišnosti dědí z jedné generace na druhou, počet rozdílů mezi vaší DNA a vašimi sousedy vám může říct, jak blízko jste ve vzájemném vztahu.
